Summary:	Bochs Project x86 PC Emulator
Name:		bochs
Version:	2.4.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		Emulators
URL:		http://bochs.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch2:		bochs-2.4.2-format-string.patch
BuildRequires:	X11-devel gtk+2-devel
BuildRequires:  readline-devel 
BuildRequires:	byacc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Bochs is a portable x86 PC emulation software package that emulates
enough of the x86 CPU, related AT hardware, and BIOS to run DOS,
Windows '95, Minix 2.0, and other OS's, all on your workstation.

%prep
%setup -q
%patch2 -p1 -b .format_string~

%build
%configure2_5x \
	--enable-sb16=linux \
	--enable-ne2000 \
	--enable-cdrom \
	--enable-vbe \
	--enable-split-hd \
	--enable-x86-64 --enable-sse=4 \
	--enable-sse-extension \
	--enable-misaligned-sse \
	--enable-mmx \
	--enable-3dnow \
	--enable-fpu \
	--enable-all-optimizations \
	--with-x11 \
	--with-nogui \
	--without-wx \
	--without-sdl \
	--enable-readline \
	--disable-docbook \
	--enable-disasm \
	--enable-smp \
	--enable-apic \
	--enable-debugger \
	--enable-xsave \
	--enable-aes \
	--enable-popcnt \
	--enable-usb \
	--enable-usb-ohci \
	--enable-acpi \
	--enable-pci \
	--enable-pcidev \
	--enable-idle-hack \
	--enable-repeat-speedups \
	--enable-trace-cache \
	--enable-fast-function-calls \
	--enable-alignment-check \
	--enable-sep \
	--enable-cpu-level=6 \
	--enable-movbe \
	--enable-monitor-mwait \
	--enable-1g-pages \
	--enable-long-phy-address \
	--enable-a20-pin \
	--enable-configurable-msrs \
	--enable-host-specific-asms \
	--enable-fast-function-calls

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# fix docs
install -m644 $RPM_BUILD_ROOT%{_datadir}/doc/bochs/bochsrc-sample.txt .
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -f %{buildroot}%{_mandir}/man*/*dlx*

install -m644 gui/keymaps/convertmap.pl -D $RPM_BUILD_ROOT%{_datadir}/bochs/keymaps/convertmap.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README CHANGES
%doc bochsrc-sample.txt
%doc docs-html
#
%{_bindir}/bochs
%{_bindir}/bximage
%{_bindir}/bxcommit
#
%dir %{_datadir}/bochs
%{_datadir}/bochs/BIOS-*
%{_datadir}/bochs/VGABIOS-*
%dir %{_datadir}/bochs/keymaps
%{_datadir}/bochs/keymaps/*.map
%{_datadir}/bochs/keymaps/convertmap.pl
#
%{_mandir}/man1/bochs.1*
%{_mandir}/man1/bximage.1*
%{_mandir}/man1/bxcommit.1*
%{_mandir}/man5/bochsrc.5*


%changelog
* Sat Feb 27 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.4.2-1mdv2010.1
+ Revision: 512466
- enable usb-ohci, movbe, monitor-mwat, 1g-pages, long-phy-address, a20-pin,
  configurable-msrs & hosts-specific-asms
- don't ship COPYING file, it already comes with the 'common-licenses' package
- remove last traces of obsolete dlxlinux stuff..
- fix string format usage (P2)
- new release: 2.4.2
- update config options

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.3.8-0.20080822.3mdv2010.0
+ Revision: 436864
- rebuild

* Fri Apr 03 2009 Funda Wang <fwang@mandriva.org> 2.3.8-0.20080822.2mdv2009.1
+ Revision: 363668
- disable format checking

* Fri Aug 22 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.8-0.20080822.1mdv2009.0
+ Revision: 275095
- fix buildrequires
- update to latest from cvs
- enable sse4, misaligned-sse, mmx, 3dnow, fpu, apic, xsave, aes, popcnt, usb,
  acpi, pci, pcidev, idle-hack, repeat-speedups, icache, trace-cache, sep,
  fast-function-calls, port-e9-hack, mtrr, guest2host-tlb, & alignment-check
- 4meg-pages has been renamed to large-pages
- ditch dlxlinux since it's way beyond obsolete, doubtfully of much use
  to anyone and only wasting space and bandwidth
- ditch wx patch (P2) as we don't even build with wx support
- drop --with-all-libs option as this would enable support for all libraries
  available on system regardless of options to disable them were passed. Since
  we build bochs in a clean chroot anyways, this option wouldn't really have
  much effect, except give headaches to anyone building it outside a clean chroot.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Oden Eriksson <oeriksson@mandriva.com>
    - sync with fedora

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 24 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 2.3.5-1mdv2008.1
+ Revision: 101819
- new version 2.3.5
- enabled configure features disasm, smp, debugger, 4meg-pages,
  global-pages, pae and all-libs


* Wed Nov 15 2006 Lenny Cartier <lenny@mandriva.com> 2.3-1mdv2007.0
+ Revision: 84575
- Updated to 2.3

* Thu Oct 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.6-2mdv2007.0
+ Revision: 70972
- Add patch1 : Fix Build
- import bochs-2.2.6-1mdk

